import { Application } from "express";
interface IOptions {
    cwd: string;
    prefix?: string;
}
export interface CommitAction {
    /** The action to perform */
    action: "create" | "delete" | "move" | "update";
    /** Full path to the file. Ex. lib/class.rb */
    file_path: string;
    /** File content, required for all except delete. Optional for move */
    content?: string;
    /** text or base64. text is default. */
    encoding?: string;
}
export declare function applyMiddlewares(app: Application, options: IOptions): Promise<void>;
export {};
